Loading...
Searching...
No Matches
etl::chrono::day Class Reference

day More...

`#include <day.h>`

## Public Types

using | rep = uint_least8_t

## Public Member Functions

ETL_CONSTEXPR | day () ETL_NOEXCEPT
| Default constructor.
ETL_CONSTEXPR | day (unsigned value_) ETL_NOEXCEPT
| Construct from unsigned.
ETL_CONSTEXPR14 etl::chrono::day & | operator++ () ETL_NOEXCEPT
| Pre-increment operator.
ETL_CONSTEXPR14 etl::chrono::day | operator++ (int) ETL_NOEXCEPT
| Post-increment operator.
ETL_CONSTEXPR14 etl::chrono::day & | operator-- () ETL_NOEXCEPT
| Pre-decrement operator.
ETL_CONSTEXPR14 etl::chrono::day | operator-- (int) ETL_NOEXCEPT
| Post-decrement operator.
ETL_CONSTEXPR14 etl::chrono::day & | operator+= (const etl::chrono::days &ds) ETL_NOEXCEPT
| Plus-equals operator adding etl::chrono::days.
ETL_CONSTEXPR14 etl::chrono::day & | operator-= (const etl::chrono::days &ds) ETL_NOEXCEPT
| Minus-equals operator subtracting etl::chrono::days.
ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the day is within the valid 1 to 31 range.
ETL_CONSTEXPR14 | operator unsigned () const ETL_NOEXCEPT
| Conversion operator to unsigned int.
ETL_NODISCARD ETL_CONSTEXPR14 int | compare (const day &other) const ETL_NOEXCEPT

## Detailed Description

day

## Member Function Documentation

## compare()

ETL_NODISCARD ETL_CONSTEXPR14 int etl::chrono::day::compare | ( | const day & | other | ) | const

inline

Compare day with another. if day < other, returns -1 else if day > other, returns 1 else returns 0

The documentation for this class was generated from the following file:

- include/etl/private/chrono/day.h